=== modified file 'storage/heap/hp_delete.c'
--- storage/heap/hp_delete.c	2008-07-16 16:14:22 +0000
+++ storage/heap/hp_delete.c	2008-07-17 16:34:04 +0000
@@ -25,7 +25,7 @@
 
   test_active(info);
 
-  if (info->opt_flag & READ_CHECK_USED && hp_rectest(info,record))
+  if (info->opt_flag & READ_CHECK_USED)
     return(my_errno);			/* Record changed */
   share->changed=1;
 

=== modified file 'storage/heap/hp_update.c'
--- storage/heap/hp_update.c	2008-07-16 16:14:22 +0000
+++ storage/heap/hp_update.c	2008-07-17 16:34:04 +0000
@@ -27,7 +27,7 @@
   test_active(info);
   pos=info->current_ptr;
 
-  if (info->opt_flag & READ_CHECK_USED && hp_rectest(info,old))
+  if (info->opt_flag & READ_CHECK_USED)
     return(my_errno);				/* Record changed */
   if (--(share->records) < share->blength >> 1) share->blength>>= 1;
   share->changed=1;

=== modified file 'storage/myisam/mi_check.c'
--- storage/myisam/mi_check.c	2008-07-16 05:44:59 +0000
+++ storage/myisam/mi_check.c	2008-07-16 16:52:09 +0000
@@ -2003,23 +2003,6 @@
 } /* change_to_newfile */
 
 
-	/* Locks a whole file */
-	/* Gives an error-message if file can't be locked */
-
-int lock_file(MI_CHECK *param, File file, my_off_t start, int lock_type,
-	      const char *filetype, const char *filename)
-{
-  if (my_lock(file,lock_type,start,F_TO_EOF,
-	      param->testflag & T_WAIT_FOREVER ? MYF(MY_SEEK_NOT_DONE) :
-	      MYF(MY_SEEK_NOT_DONE |  MY_DONT_WAIT)))
-  {
-    mi_check_print_error(param," %d when locking %s '%s'",my_errno,filetype,filename);
-    param->error_printed=2;		/* Don't give that data is crashed */
-    return 1;
-  }
-  return 0;
-} /* lock_file */
-
 
 	/* Copy a block between two files */
 

=== modified file 'storage/myisam/mi_write.c'
--- storage/myisam/mi_write.c	2008-07-16 05:44:59 +0000
+++ storage/myisam/mi_write.c	2008-07-16 16:52:09 +0000
@@ -545,7 +545,10 @@
 				uchar *key, uint *return_key_length,
 				uchar **after_key)
 {
-  uint keys, length, last_length, key_ref_length;
+  uint keys;
+  uint length;
+  uint last_length= 0;
+  uint key_ref_length;
   uchar *end, *lastpos, *prevpos= NULL;
   uchar key_buff[MI_MAX_KEY_BUFF];
 

=== modified file 'storage/myisam/myisamdef.h'
--- storage/myisam/myisamdef.h	2008-07-16 05:44:59 +0000
+++ storage/myisam/myisamdef.h	2008-07-16 16:52:09 +0000
@@ -376,6 +376,7 @@
 #define READING_NEXT	1
 #define READING_HEADER	2
 
+
 #define mi_getint(x)	((uint) mi_uint2korr(x) & 32767)
 #define mi_putint(x,y,nod) { uint16 boh=(nod ? (uint16) 32768 : 0) + (uint16) (y);\
 			  mi_int2store(x,boh); }
@@ -770,8 +771,14 @@
 
 /* Needed for handler */
 void mi_disable_non_unique_index(MI_INFO *info, ha_rows rows);
+void _mi_report_crashed(MI_INFO *file __attribute__((unused)),
+                        const char *message __attribute__((unused)),
+                        const char *sfile __attribute__((unused)),
+                        uint sline __attribute__((unused)));
+
 #ifdef __cplusplus
 }
 #endif
 
+
 #endif

=== modified file 'storage/myisam/plug.in'
--- storage/myisam/plug.in	2008-07-13 21:29:19 +0000
+++ storage/myisam/plug.in	2008-07-17 16:34:04 +0000
@@ -4,6 +4,3 @@
 MYSQL_PLUGIN_STATIC(myisam,     [libmyisam.la])
 MYSQL_PLUGIN_MANDATORY(myisam)  dnl Default
 MYSQL_PLUGIN_DEPENDS_ON_MYSQL_INTERNALS(myisam, [ha_myisam.cc])
-MYSQL_PLUGIN_ACTIONS(myisam,[
-  AC_CONFIG_FILES(storage/myisam/mi_test_all)
-])

